package kr.gmtc.gw.dev.restdev.vo;

import java.util.HashMap;
import java.util.Map;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AiMetaVideoStatusVO {

    private Map<String, AiMetaVideoStatusVO_Sts> mapStandNoGroup;

    public AiMetaVideoStatusVO(){
        mapStandNoGroup = new HashMap<String, AiMetaVideoStatusVO_Sts>();
    }

    public AiMetaVideoStatusVO_Sts getStsMap(String sStandNo){

       return mapStandNoGroup.get(sStandNo);
    }

    @Getter
    @Setter
    public static class AiMetaVideoStatusVO_Sts {

        private Map<String, AiMetaVideoStatusVO_Data> mapStatusGroup;
    
        public AiMetaVideoStatusVO_Sts(String sSts, AiMetaVideoStatusVO_Data map){
            mapStatusGroup = new HashMap<String, AiMetaVideoStatusVO_Data>();
        }

        public AiMetaVideoStatusVO_Data getDataMap(String sSts){

        return mapStatusGroup.get(sSts);
    }

    }

    @Getter
    @Setter
    public static class AiMetaVideoStatusVO_Data {

        private String standNo;
        private String sts;
        private String cctvID;
        private String recvTime;
        
    }

   
}



